package main

import (
	"database/sql"
	"fmt"
	"os"

	_ "github.com/mattn/go-sqlite3"

	"git.tilde.town/tildetown/town/towndb"
)

// TODO this command adds a new user to /town/var/town.db
// it's meant to be invoked by the welcome binary upon successfully
// creating a new user account

func _main(db *sql.DB) error {
	return nil
}

func main() {
	towndb, err := towndb.ConnectDB()
	if err != nil {
		fmt.Fprintln(os.Stderr, err)
		os.Exit(1)
	}
	if err = _main(towndb); err != nil {
		fmt.Fprintln(os.Stderr, err)
		os.Exit(2)
	}
}
